petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCJacobiGetUseAbs

Determines if the Jacobi preconditioner uses the absolute values of the digonal divisors in the preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCJacobiGetUseAbs(PC pc,PetscBool *flg)

Logically Collective on PC

### Input Parameter

pc -the preconditioner context

### Output Parameter

flg -whether to use absolute values or not

### Options Database Key

-pc_jacobi_abs -

### See Also

PCJacobiaSetType(), PCJacobiSetUseAbs(), PCJacobiGetType()

### Level

intermediate

### Location

src/ksp/pc/impls/jacobi/jacobi.c

### Implementations

PCJacobiGetUseAbs_Jacobi in src/ksp/pc/impls/jacobi/jacobi.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages